Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx
Class MultiSplitLayout.Leaf

    java.lang.Object
      org.jdesktop.swingx.MultiSplitLayout.Node
          org.jdesktop.swingx.MultiSplitLayout.Leaf

Enclosing class:
  MultiSplitLayout

    public static class MultiSplitLayout.Leaf

extends MultiSplitLayout.Node

Models a java.awt Component child.

Constructor Summary
`MultiSplitLayout.Leaf()` Create a Leaf node.
`MultiSplitLayout.Leaf(java.lang.String name)` Create a Leaf node with the specified name.

Method Summary
`java.lang.String` | `getName()` Return the Leaf's name.
`void` | `setName(java.lang.String name)` Set the value of the name property.
`java.lang.String` | `toString()`

Methods inherited from class org.jdesktop.swingx.MultiSplitLayout.Node
`getBounds, getParent, getWeight, isVisible, nextSibling, previousSibling, setBounds, setParent, setVisible, setWeight`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultiSplitLayout.Leaf

    public MultiSplitLayout.Leaf()

  Create a Leaf node. The default value of name is "".

### MultiSplitLayout.Leaf

    public MultiSplitLayout.Leaf(java.lang.String name)

  Create a Leaf node with the specified name. Name can not be null.

  Parameters:
    `name` - value of the Leaf's name property
  Throws:
    `java.lang.IllegalArgumentException` - if name is null

Method Detail

### getName

    public java.lang.String getName()

  Return the Leaf's name.

  Returns:
    the value of the name property.
  See Also:
    `setName(java.lang.String)`

### setName

    public void setName(java.lang.String name)

  Set the value of the name property. Name may not be null.

  Parameters:
    `name` - value of the name property
  Throws:
    `java.lang.IllegalArgumentException` - if name is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.